package Audio;
import com.sun.jna.Library;
import com.sun.jna.Native;
import com.sun.jna.Pointer;

import Audio.BassEnc.ENCODEPROCEX;

/**
 * Bass Encoder AAC Plugin
 * Must load together with BassEncLibrary
 * @author rdkartono
 *
 */
@SuppressWarnings("unused")
public interface BassEncAAC extends Library {

	BassEncAAC Instance = Native.load("bassenc_aac",BassEncAAC.class);
	int BASS_Encode_AAC_GetVersion();

	int BASS_Encode_AAC_Start(int handle, String options, int flags, ENCODEPROCEX proc, Pointer user);
	int BASS_Encode_AAC_StartFile(int handle, String options, int flags, String filename);
}
